@artinnok
бекенд-программист

Pip по умолчанию ставит пакеты для Python 2.7.6 — как ставить пакеты на Python 3.4.3?

ОС - Mac OS Yosemite 10.10.4.
Есть два интерпретатора - Python 2.7.6 и Python 3.4.3.
Хочу устанавливать пакеты в Python 3.4.3, но pip устанавливает в Python 2.7.6, видимо, по умолчанию он стоит.
Какие решения есть? Virtualenv?
Если можете, скиньте плз инфу на ресурсы)
  • Вопрос задан
  • 1370 просмотров
Решения вопроса 1
@lamazavr
pip3 или же python3 -m pip
Ответ написан
Комментировать
Пригласить эксперта
Ответы на вопрос 2
fuzz0
@fuzz0
Ответ написан
Комментировать
@reb00ter
Django developer
Лучше все в любом случае в виртуалэнв пихать, чтобы проекты потом не путалась. Через -p ему можно указать какой питон использовать
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
SpectrumData Екатеринбург
от 150 000 до 200 000 ₽
Гринатом Москва
от 150 000 ₽
Greenway Global Новосибирск
от 150 000 ₽
18 июн. 2024, в 11:44
15000 руб./за проект
18 июн. 2024, в 11:42
55000 руб./за проект